// 小程序-地址相关接口
import request from '@/utils/request'

// 地址-地址列表数据查询
export const getAddressList = (params) => {
  return request({
    url: '/applet/address/addressList',
    headers: {
      isToken: true
    },
    method: "get",
    params
  })
}

// 地址-地址删除
export const deleteAddress = (params) => {
	return request({
	  url: '/applet/address/deleteAddress',
	  headers: {
	    isToken: true
	  },
	  method: "post",
	  params
	})
}

// 地址-地址添加
export const insertAddress = (data) => {
	return request({
	  url: '/applet/address/insertAddress',
	  headers: {
	    isToken: true
	  },
	  method: "post",
	  data
	})
}

// 地址-地址修改
export const udpateAddress = (data) => {
	return request({
	  url: '/applet/address/udpateAddress',
	  headers: {
	    isToken: true
	  },
	  method: "post",
	  data
	})
}

// 地址-地址修改
export const addressDetail = (data) => {
	return request({
	  url: '/applet/address/addressDetail/' + data,
	  headers: {
	    isToken: true
	  },
	  method: "get",
	})
}